Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::ConstructorInfo Class Reference

Inheritance diagram for osgIntrospection::ConstructorInfo:

[legend]
List of all members.

## Public Member Functions
| ConstructorInfo (const Type &decltype, const ParameterInfoList &params)
virtual | ~ConstructorInfo ()
const Type & | getDeclaringType () const
const ParameterInfoList & | getParameters () const
virtual Value | createInstance (ValueList &args) const=0
## Protected Member Functions
virtual void | getInheritedProviders (CustomAttributeProviderList &providers) const

## Constructor & Destructor Documentation

osgIntrospection::ConstructorInfo::ConstructorInfo | ( | const Type & | decltype,
|  | const ParameterInfoList & | params
| ) | `[inline]`

virtual osgIntrospection::ConstructorInfo::~ConstructorInfo | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Value osgIntrospection::ConstructorInfo::createInstance | ( | ValueList & | args | ) | const`[pure virtual]`

| Implemented in osgIntrospection::TypedConstructorInfo0< C, IC >, osgIntrospection::TypedConstructorInfo1< C, IC, P0 >, osgIntrospection::TypedConstructorInfo2< C, IC, P0, P1 >, osgIntrospection::TypedConstructorInfo3< C, IC, P0, P1, P2 >, osgIntrospection::TypedConstructorInfo4< C, IC, P0, P1, P2, P3 >, osgIntrospection::TypedConstructorInfo5< C, IC, P0, P1, P2, P3, P4 >, osgIntrospection::TypedConstructorInfo6< C, IC, P0, P1, P2, P3, P4, P5 >, osgIntrospection::TypedConstructorInfo7< C, IC, P0, P1, P2, P3, P4, P5, P6 >, osgIntrospection::TypedConstructorInfo8< C, IC, P0, P1, P2, P3, P4, P5, P6, P7 >, osgIntrospection::TypedConstructorInfo9< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8 >, osgIntrospection::TypedConstructorInfo10< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9 >, osgIntrospection::TypedConstructorInfo11< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10 >, osgIntrospection::TypedConstructorInfo12< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11 >, osgIntrospection::TypedConstructorInfo13< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12 >, osgIntrospection::TypedConstructorInfo14< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13 >, osgIntrospection::TypedConstructorInfo15< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14 >, and osgIntrospection::TypedConstructorInfo16< C, IC, P0, P1, P2, P3, P4, P5, P6, P7, P8, P9, P10, P11, P12, P13, P14, P15 >.

const Type& osgIntrospection::ConstructorInfo::getDeclaringType | ( |  | ) | const`[inline]`

virtual void osgIntrospection::ConstructorInfo::getInheritedProviders | ( | CustomAttributeProviderList & | providers | ) | const`[protected, virtual]`

| Implements osgIntrospection::CustomAttributeProvider.

const ParameterInfoList& osgIntrospection::ConstructorInfo::getParameters | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- ConstructorInfo